PHP-инклюдинг в SyndeoCMS

Дата публикации:
05.11.2007
Дата изменения:
06.11.2007
Всего просмотров:
1068
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SyndeoCMS 2.x
Уязвимые версии: SyndeoCMS 2.5.01, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "cmsdir" в сценарии starnet/themes/c-sky/main.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/starnet/themes/c-sky/main.inc.php?cmsdir=[file]

URL производителя: www.syndeocms.org

Решение: Установите исправленную версию 2.5.01 от 2007-11-05 с сайта производителя.

или введите имя

CAPTCHA